Summary: Free versions of the 35 standard PostScript fonts.
Name: urw-fonts
Version: 2.0
Release: 12
Source: ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/gnu-gs-fonts-std-6.0.tar.gz
Source1: urw-fonts-Fontmap
Patch0: urw-fonts-misc.patch
Patch1: urw-fonts-monospaced.patch
License: GPL, URW holds copyright
Group: User Interface/X
URL: ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Prereq: chkfontpath

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%prep
%setup -q -c
%patch0 -p0 -b .misc
%patch1 -p1 -b .monospaced

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
cd fonts
cp -f *.afm *.pfm *.pfb $RPM_BUILD_ROOT/usr/share/fonts/default/Type1/
install -m 644 fonts.scale $RPM_BUILD_ROOT/usr/share/fonts/default/Type1/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/fonts/default/Type1/Fontmap
install -m 644 fonts.alias $RPM_BUILD_ROOT/usr/share/fonts/default/Type1/

{
    pushd $RPM_BUILD_ROOT/usr/share/fonts/default/Type1
    mkfontdir .
    popd
}

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/default/Type1

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/default/Type1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%dir /usr/share/fonts/default/Type1
%config(noreplace) /usr/share/fonts/default/Type1/fonts.dir
%config(noreplace) /usr/share/fonts/default/Type1/fonts.scale
%config(noreplace) /usr/share/fonts/default/Type1/fonts.alias
%config(noreplace) /usr/share/fonts/default/Type1/Fontmap
/usr/share/fonts/default/Type1/*.afm
/usr/share/fonts/default/Type1/*.pfm
/usr/share/fonts/default/Type1/*.pfb

%changelog
* Thu Nov 16 2000 Than Ngo <than@redhat.com>
- zapf dingbats font works now, fixed (Bug #20352)

* Mon Oct 16 2000 Than Ngo <than@redhat.com>
- added font aliases (Bug #17586)
- added missing fonts.alias

* Wed Aug 30 2000 Preston Brown <pbrown@redhat.com>
- enable latin2 encoding
- alias the Nimbus/Courier font to be monospaced
- include a Fontmap

* Fri Jul 14 2000 Preston Brown <pbrown@redhat.com>
- renamed fonts from URW names to Adobe names for better compatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 09 2000 Than Ngo <than@redhat.de>
- update gnu-gs-fonts-std-6.0
- fix Url

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Wed Mar 08 2000 Preston Brown <pbrown@redhat.com> 
- argh! fonts.scale shouldn't have been symlinked to fonts.dir.  fixed.

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- noreplace the fonts.dir config file

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- need .pfb files too

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- new URW++ fonts that include extra glyphs.

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- remove vendor tag.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
